Enable TLS 1.1/1.2 in Mozilla Firefox

If you are using Mozilla Firefox to access Map Business Online, these instructions will help you configure TLS 1.1 and TLS 1.2 support in your Web browser.

TLS 1.1 and TLS 1.2 are only supported in these configurations:

Browser: Firefox 23 and higher
OS: Windows XP and higher

  1. Start Firefox.
  1. Check if it supports latest TLS protocols by navigating to https://www.mapbusinessonline.com page.
    If the page appears just fine – you are all set!
  1. Otherwise enter 'about:config' into address line to go to configuration page.
  1. You may get a warning as displayed on the picture below. Just click 'I accept the risk!'
  1. Search for 'security.tls.version.max' parameter.
  1. Right click the parameter and select 'Modify' item in the menu.
  1. In popup dialog enter 3 that stays for TLS 1.2 support (2 would be TLS 1.1).
  1. Press OK. You will see the parameter changed.
  1. Exit Firefox. Make sure that all browser windows have been closed. Now you can go to step #1 above and check that all have been configured correctly.